Firefox2Launcher (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.browserlaunchers
Class Firefox2Launcher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
              org.openqa.selenium.server.browserlaunchers.Firefox2Launcher

All Implemented Interfaces:
  BrowserLauncher

    public class Firefox2Launcher

extends FirefoxChromeLauncher

Nested Class Summary

Nested classes/interfaces inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`FirefoxChromeLauncher.ChromeUrlConvert, FirefoxChromeLauncher.FileLockRemainedException`

Field Summary

Fields inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`CHROME_URL`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`Firefox2Launcher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary

Methods inherited from class org.openqa.selenium.server.browserlaunchers.FirefoxChromeLauncher
`close, copyCert8db, copyDirectory, copySingleFileWithOverwrite, createCustomProfileDir, extractProfileFromJar, generatePacAndPrefJs, getFileFromParent, getProcess, initProfileTemplate, killFirefoxProcess, launch, launchHTMLSuite, launchRemoteSession, removeCustomProfileDir, setCustomProfileDir, setProcess`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Firefox2Launcher

    public Firefox2Launcher(BrowserConfigurationOptions browserOptions,
                            RemoteControlConfiguration configuration,
                            java.lang.String sessionId,
                            java.lang.String browserLaunchLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.